KJS::UCharReference Class Reference

`#include <ustring.h>`

## Public Member Functions

UCharReference & | operator= (UChar c)
UCharReference & | operator= (char c)
unsigned short | unicode () const
unsigned char | low () const
unsigned char | high () const
UChar | toLower () const
UChar | toUpper () const

## Friends

class | UString

## Detailed Description

Dynamic reference to a string character.

UCharReference is the dynamic counterpart of UChar. It's used when characters retrieved via index from a UString are used in an assignment expression (and therefore can't be treated as being const):

UString s("hello world");
s[0] = 'H';

If that sounds confusing your best bet is to simply forget about the existence of this class and treat is as being identical to UChar.

Definition at line 119 of file ustring.h.

## Member Function Documentation

unsigned char KJS::UCharReference::high | ( |  | ) | const

inline

Returns
  Higher byte.

Definition at line 142 of file ustring.h.

unsigned char KJS::UCharReference::low | ( |  | ) | const

inline

Returns
  Lower byte.

Definition at line 138 of file ustring.h.

UCharReference & UCharReference::operator= | ( | UChar | c | ) |

Set the referenced character to c.

Definition at line 154 of file ustring.cpp.

UCharReference& KJS::UCharReference::operator= | ( | char | c | ) |

inline

Same operator as above except the argument that it takes.

Definition at line 130 of file ustring.h.

UChar KJS::UCharReference::toLower | ( |  | ) | const

inline

Returns
  Character converted to lower case.

Definition at line 146 of file ustring.h.

UChar KJS::UCharReference::toUpper | ( |  | ) | const

inline

Returns
  Character converted to upper case.

Definition at line 150 of file ustring.h.

unsigned short KJS::UCharReference::unicode | ( |  | ) | const

inline

Returns
  Unicode value.

Definition at line 134 of file ustring.h.

The documentation for this class was generated from the following files:

- ustring.h
- ustring.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys